import request from '@/utils/request'

// request.defaults.baseURL = '/ezhizao-yzbh-sys'
// 查询公告列表
export function listNotice(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/notice/list',
    method: 'get',
    params: query
  })
}

// 查询公告详细
export function getNotice(noticeId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/notice/' + noticeId,
    method: 'get'
  })
}

// 新增公告
export function addNotice(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/notice',
    method: 'post',
    data: data
  })
}

// 修改公告
export function updateNotice(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/notice',
    method: 'put',
    data: data
  })
}

// 删除公告
export function delNotice(noticeId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/notice/' + noticeId,
    method: 'delete'
  })
}